PHP is among the most widely used multi-paradigm programming languages. It is very popular as it is free software, which can be used to set up responsive websites like social networking websites, web stores or e-learning websites instead of static HTML-based websites. A PHP module must be available on the web server where a PHP site is hosted so that its source code can be ‘deciphered’. Since there are no license taxes for this sort of module and the language itself provides infinite possibilities for the web-based apps that you build, there’re 100s of millions of PHP-powered websites. Additionally, there are a myriad of PHP scripts, which you can use for your websites without needing to have any coding capabilities. As there’re a handful of versions of PHP, you ought to ensure that the same exact version that you used whilst creating your website is enabled on the web server as well.

PHP 4, PHP 5 and PHP 7 Support in Hosting

Our hosting servers support several PHP versions, which implies that your sites will run without any problems even if your PHP scripts are outdated. We acknowledge the fact that an old site does not inevitably equal a vulnerable one as you may have implemented a lot of mods to its code. This is the reason why we support PHP 4, PHP 5 and PHP 7 and you can select which version will be enabled for your hosting account. You can change the version with just one single mouse click from your Hepsia hosting Control Panel and the new settings will be applied instantaneously. In case you’d like to run both older and newer scripts, there is even a possibility to use a different version of PHP for each of your domains at the same time.

PHP 4, PHP 5 and PHP 7 Support in Semi-dedicated Servers

If you’ve got a website created in a previous PHP version and you’ve put time and efforts toward developing it, plugging safety gaps and adding web content, you will need to find a hosting service that can support it, since the vast majority of web hosting companies today offer only the most recently launched PHP version and remove the older versions. We, however, have decided to allow you to select the version that your websites require. Our semi-dedicated service support PHP 4, PHP 5 and PHP 7, so you’ll be able to use both newer and older scripts without forfeiting any customizations or wasting time and efforts attempting to make your sites compatible with the hosting environment. You can change the version through the Hepsia Control Panel and such a change will affect the whole semi-dedicated account, but you’ll also have the ability to pick a different version of PHP for each individual site hosted in your account by means of an .htaccess configuration file.